technique T0
{
    pass P0
    {
		SpecularEnable = False;
		
		// Set Z-buffering
		ZEnable			= True;
		ZWriteEnable	= False;
		
		// Set alpha blending mode
		AlphaBlendEnable = True;
		SrcBlend		= SrcAlpha;
		DestBlend		= InvSrcAlpha;
		AlphaTestEnable = True;
						
		// Set texture address mode and min mag filters
		MipFilter[3]	= Point;
		MinFilter[3]	= Point;
		MagFilter[3]	= Point;
		MipMapLODBias[3]= -1;
		
		VertexShader =
        decl
        {
            stream 0;
            float v0[3];	// Position
            float v1[3];	// Normal
            float v2[2];	// UV
       }
		asm
		{
			vs.1.1

			// Put into screen space
			m4x4			r1, v0, c92
			mov				oPos, r1
			
			mov				oT0, v2

			mov				oFog.x, r1.w			
		};
		
		PixelShader = 
        asm
        {
			// Declare pixel shader version 1.1
			ps.1.1

			tex t0

			mov r0, t0
        };   
    }
}
