technique T0
{
    pass P0
    {
		// Disable specular
		SpecularEnable = False;
		
		// Set Z-buffering
		ZEnable			= True;
		ZWriteEnable	= True;
		
		// First stage
		ColorOp[0]   = Disable;
        AlphaOp[0]   = Disable;
        
        // Second stage
        // Only one color being used
        ColorOp[1]   = Disable;
        AlphaOp[1]   = Disable;
	
		VertexShader =
        decl
        {
            stream 0;
            float v0[3];	// Position
        }
		asm
		{
			vs.1.1

			// Transform position
			// Apply view+proj
			m4x4	oPos, v0, c92

			// No lighting
			
			// Move the vertex diffuse through...
            mov oD0,c1          // Put into Diffuse Color output

		};
		PixelShader =
		asm
		{
			ps.1.1
			
			mov r0, v0
		};
    }
}

