technique T0
{
    pass P0
    {
		VertexShader =
        decl
        {
            stream 0;
            float		v0[3];	// Position
            float		v1[3];	// Normal (not used)
            D3DCOLOR	v2;
            float		v3[2];	// UV
        }
		asm
		{
			vs.1.1

			// Transform position
			// Apply view+proj
			m4x4	r0, v0, c2

			add		r1, r0, c90
			m4x4	r0, r1, c92
			sge		r0.z, r1, r1 // force a z buffer value of 1
			mov		oPos, r0

			slt		oFog.x, r0, r0

			// Move diffuse color
			mul		oD0, v2, c6
			
			// Move the uvs through...
			mov		oT0, v3
		};
		
		PixelShader = 
        asm
        {
			// Declare pixel shader version 1.1
			ps.1.1

			// Define textures
			tex t0

			mul r0, t0, v0
        };   
    }
}
