technique T0
{
    pass P0
    {
		VertexShader =
        decl
        {
            stream 0;
            float v0[3];	// Position
            float v1[1];	// Specular Blend Factor
        }
		asm
		{
			xvs.1.1

			//Mesh:
			m4x4 r7, v0, c4

			m4x4 r0,r7,c0

			mov  oPos,r0 

			//Water:
			mul r8.xy,r7.xz,c16.x
			add oT0.xy,r8,c16.y
			
			//Color mod texture
			mul r9.xy,r7.xz,c19.x
			add oT1.xy,r9,c19.y

			mad r1,r0.wwww,c15.xzxx,r0

			//For Nvidia cards:
			mul r2,r1,c15.xyxx
			rcp r2.w,r2.w
//			mul oT1,r2,r2.w
			mul oT2,r2,r2.w
//			sge oT1.w,r2,r2
			sge OT2.w,r2,r2


			//Fresnel factor
			sub r3,c17,r7

			dp3 r3.w,r3,r3
			rsq r3.w,r3.w
			mul r3.xyz,r3,r3.w

			add r4,r3,c30
			dp3 r4.w,r4,r4						
			rsq r4.w,r4.w						
			mul r4.y,r4,r4.w
			mov r4.xw,c30.w

			mul r3,r3,c17.w
			add oT3.xy,r3.xz,c17.w

			mov oD0,c25

			lit r4,r4
			mul r5, c35, r4.zzzz
			mul oD1, r5, v1.xxxx

			mad oFog,r0.w,c18.x,c18.y
		};
		
		PixelShader = 
        asm
        {
			// Declare pixel shader version 1.1
			xps.1.1

			tex t0
			texbem t1, t0 
			texbem t2, t0 
			texbem t3, t0  

			dp3 r1, v0_bx2, t3_bx2 
			mul r1, r1_sat, r1_sat 
			mul r1, r1,r1   
			mul r0.rgb, v1, t1.a 
			+mul r1.a, r1, r1
			add r0.rgb, r1_bias.a, r0_bias
			mad r0.rgb, t3.a,t1, r0_sat
			mad r0.rgb, t2, 1-t3.a, r0

			xfc fog.a, r0, fog.rgb, zero, zero, zero, t2.a
        };   
    }
}